Bug 1470566 - [RFE] Support changing from distribute to replicate with no active client operations
Summary: [RFE] Support changing from distribute to replicate with no active client ope...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Ravishankar N
QA Contact: Vijay Avuthu
URL:
Whiteboard:
Depends On:
Blocks: 1503132
TreeView+ depends on / blocked
 
Reported: 2017-07-13 08:38 UTC by Sahina Bose
Modified: 2018-09-17 16:01 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: Enhancement
Doc Text:
You can now convert from plain distribute to a distributed-replicate volume by using the 'gluster volume add-brick` command, provided there is no I/O happening from the client.
Clone Of:
Environment:
Last Closed: 2018-09-04 06:34:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:36:23 UTC

Description Sahina Bose 2017-07-13 08:38:28 UTC
Description of problem:

For one of the VM store use-cases, we want to start with a single node gluster volume and then later change to replica 3 gluster volume for redundancy.

This operation should be supported, and the heal should happen automatically when user sets a replica count and adds the additional bricks.


How reproducible:
NA

Comment 1 Atin Mukherjee 2017-07-18 04:27:23 UTC
T

Comment 3 Ravishankar N 2017-07-18 04:33:18 UTC
No, it should work fine, especially since https://bugzilla.redhat.com/show_bug.cgi?id=1276203 has been fixed.

Comment 4 Ravishankar N 2017-07-18 07:36:57 UTC
Realised that there is a corner case: BZ 1400092

Comment 7 Vijay Avuthu 2018-03-02 06:10:32 UTC
Update:
=========

> tried below scenario

1) create  1 * 1 volume on a single node
2) create different IO which consists of

Comment 10 Vijay Avuthu 2018-03-12 10:28:49 UTC
Update :
============

> Covered below scenarios as well.

Scenario 1: converting 1 * 1 to 1 * 3

Steps:
 
1) create 1 * 1 distribute volume and start
2) create files and dirs from client ( 13k files and 13k dirs )
3) add bricks to volume so that it will convert to 1 * 3 ( Replicate )
4) Monitor the heal completion.
5) arequal-checksum is same on all the bricks and equals to arequal-checksum of client mountpoint


Scenario 1: converting 2 * 1 to 2 * 3

1) create 2 * 1 distribute volume and start
2) create files and dirs from client ( 13k files and 13k dirs )
3) add bricks to volume so that it will convert to 2 * 3 ( Distributed-Replicate )
4) Monitor the heal completion.
5) arequal-checksum is same on all the bricks in the replica set


Changing status to Verified.

Comment 13 errata-xmlrpc 2018-09-04 06:34:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.